Accepting request 45898 from Base:System
Copy from Base:System/rpm based on submit request 45898 from user oertel OBS-URL: https://build.opensuse.org/request/show/45898 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/rpm?expand=0&rev=102
This commit is contained in:
parent
9504724d1a
commit
0ac512d62c
27
pkgconfig-0.24.diff
Normal file
27
pkgconfig-0.24.diff
Normal file
@ -0,0 +1,27 @@
|
|||||||
|
Index: ./scripts/pkgconfigdeps.sh
|
||||||
|
===================================================================
|
||||||
|
--- ./scripts/pkgconfigdeps.sh
|
||||||
|
+++ ./scripts/pkgconfigdeps.sh
|
||||||
|
@@ -11,6 +11,13 @@ test -x $pkgconfig || {
|
||||||
|
exit 0
|
||||||
|
}
|
||||||
|
|
||||||
|
+`$pkgconfig --exists "pkg-config >= 0.24" 2> /dev/null`
|
||||||
|
+if [ $? -eq 0 ]; then
|
||||||
|
+ PRINT_REQUIRES="--print-requires --print-requires-private"
|
||||||
|
+else
|
||||||
|
+ PRINT_REQUIRES="--print-requires"
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
case $1 in
|
||||||
|
-P|--provides)
|
||||||
|
while read filename ; do
|
||||||
|
@@ -39,7 +46,7 @@ case $1 in
|
||||||
|
[ $i -eq 1 ] && echo "$pkgconfig"
|
||||||
|
DIR="`dirname ${filename}`"
|
||||||
|
export PKG_CONFIG_PATH="$DIR:$DIR/../../share/pkgconfig"
|
||||||
|
- $pkgconfig --print-requires "$filename" 2> /dev/null | while read n r v ; do
|
||||||
|
+ $pkgconfig $PRINT_REQUIRES "$filename" 2> /dev/null | while read n r v ; do
|
||||||
|
[ -n "$n" ] || continue
|
||||||
|
echo -n "pkgconfig($n) "
|
||||||
|
[ -n "$r" ] && [ -n "$v" ] && echo -n "$r" "$v"
|
@ -25,7 +25,7 @@ License: GPLv2+
|
|||||||
Group: System/Packages
|
Group: System/Packages
|
||||||
Summary: Python Bindings for Manipulating RPM Packages
|
Summary: Python Bindings for Manipulating RPM Packages
|
||||||
Version: 4.8.0
|
Version: 4.8.0
|
||||||
Release: 5
|
Release: 8
|
||||||
Requires: rpm = %{version}
|
Requires: rpm = %{version}
|
||||||
%py_requires
|
%py_requires
|
||||||
Source99: rpm.spec
|
Source99: rpm.spec
|
||||||
|
@ -1,3 +1,12 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Thu Aug 12 17:17:49 CEST 2010 - vuntz@opensuse.org
|
||||||
|
|
||||||
|
- Add pkgconfig-0.24.diff: starting with pkg-config 0.24, the
|
||||||
|
--print-requires command was upstreamed, but split in
|
||||||
|
--print-requires and --print-requires-private. We need both in
|
||||||
|
pkgconfigdeps.sh, though. If accepted, the patch should get
|
||||||
|
upstreamed.
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Tue Jul 20 11:47:29 UTC 2010 - coolo@novell.com
|
Tue Jul 20 11:47:29 UTC 2010 - coolo@novell.com
|
||||||
|
|
||||||
|
5
rpm.spec
5
rpm.spec
@ -28,7 +28,7 @@ PreReq: %insserv_prereq %fillup_prereq permissions
|
|||||||
AutoReqProv: on
|
AutoReqProv: on
|
||||||
Summary: The RPM Package Manager
|
Summary: The RPM Package Manager
|
||||||
Version: 4.8.0
|
Version: 4.8.0
|
||||||
Release: 5
|
Release: 8
|
||||||
Source: rpm-%{version}.tar.bz2
|
Source: rpm-%{version}.tar.bz2
|
||||||
Source1: RPM-HOWTO.tar.bz2
|
Source1: RPM-HOWTO.tar.bz2
|
||||||
Source2: RPM-Tips.html.tar.bz2
|
Source2: RPM-Tips.html.tar.bz2
|
||||||
@ -114,6 +114,7 @@ Patch77: fontprovides.diff
|
|||||||
Patch78: nosource.diff
|
Patch78: nosource.diff
|
||||||
Patch79: nosignature.diff
|
Patch79: nosignature.diff
|
||||||
Patch80: fixsbits.diff
|
Patch80: fixsbits.diff
|
||||||
|
Patch81: pkgconfig-0.24.diff
|
||||||
BuildRoot: %{_tmppath}/%{name}-%{version}-build
|
BuildRoot: %{_tmppath}/%{name}-%{version}-build
|
||||||
#
|
#
|
||||||
# avoid bootstrapping problem
|
# avoid bootstrapping problem
|
||||||
@ -175,7 +176,7 @@ rm -f rpmdb/db.h
|
|||||||
%patch -P 50 -P 51 -P 52 -P 53 -P 54 -P 55 -P 56 -P 57 -P 58 -P 59
|
%patch -P 50 -P 51 -P 52 -P 53 -P 54 -P 55 -P 56 -P 57 -P 58 -P 59
|
||||||
%patch -P 60 -P 61 -P 62 -P 63 -P 64 -P 65 -P 66 -P 67 -P 68 -P 69
|
%patch -P 60 -P 61 -P 62 -P 63 -P 64 -P 65 -P 66 -P 67 -P 68 -P 69
|
||||||
%patch -P 70 -P 71 -P 72 -P 73 -P 74 -P 75 -P 76 -P 77 -P 78 -P 79
|
%patch -P 70 -P 71 -P 72 -P 73 -P 74 -P 75 -P 76 -P 77 -P 78 -P 79
|
||||||
%patch -P 80
|
%patch -P 80 -P 81
|
||||||
#chmod 755 scripts/find-supplements{,.ksyms}
|
#chmod 755 scripts/find-supplements{,.ksyms}
|
||||||
#chmod 755 scripts/find-provides.ksyms scripts/find-requires.ksyms
|
#chmod 755 scripts/find-provides.ksyms scripts/find-requires.ksyms
|
||||||
#chmod 755 scripts/firmware.prov
|
#chmod 755 scripts/firmware.prov
|
||||||
|
Loading…
Reference in New Issue
Block a user